RAISE(3)

NAME
raise - send a signal to the current process

SYNOPSIS
#include <signal.h>

int raise(int sig);

DESCRIPTION
The raise() function sends a signal to the current process. It is equivalent to

    kill(getpid(), sig);

RETURN VALUE
0 on success, non-zero for failure.

CONFORMING TO
C89, C99.

SEE ALSO
getpid(2), kill(2), signal(2)

COLOPHON
This page is part of release 2.70 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.